Skip to main content
Retrieve Glossary Details
curl --request GET \
  --url https://api.deepl.com/v2/glossaries/{glossary_id} \
  --header 'Authorization: <api-key>'
{
  "glossary_id": "def3a26b-3e84-45b3-84ae-0c0aaf3525f7",
  "name": "My Glossary",
  "ready": true,
  "source_lang": "EN",
  "target_lang": "DE",
  "creation_time": "2021-08-03T14:16:18.329Z",
  "entry_count": 1
}

Documentation Index

Fetch the complete documentation index at: https://deepl-c950b784-customizations-with-variants.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:DeepL-Auth-Key
required

Authentication with Authorization header and DeepL-Auth-Key authentication scheme. Example: DeepL-Auth-Key <api-key>

Path Parameters

glossary_id
string
required

A unique ID assigned to the glossary.

Response

JSON object containing the glossary meta-information.

glossary_id
string

A unique ID assigned to a glossary.

Example:

"def3a26b-3e84-45b3-84ae-0c0aaf3525f7"

name
string

Name associated with the glossary.

ready
boolean

Indicates if the newly created glossary can already be used in translate requests. If the created glossary is not yet ready, you have to wait and check the ready status of the glossary before using it in a translate request.

source_lang
enum<string>

The language in which the source texts in the glossary are specified.

Available options:
ar,
bg,
cs,
da,
de,
el,
en,
es,
et,
fi,
fr,
he,
hu,
id,
it,
ja,
ko,
lt,
lv,
nb,
nl,
pl,
pt,
ro,
ru,
sk,
sl,
sv,
th,
tr,
uk,
vi,
zh
Example:

"en"

target_lang
enum<string>

The language in which the target texts in the glossary are specified.

Available options:
ar,
bg,
cs,
da,
de,
el,
en,
es,
et,
fi,
fr,
he,
hu,
id,
it,
ja,
ko,
lt,
lv,
nb,
nl,
pl,
pt,
ro,
ru,
sk,
sl,
sv,
th,
tr,
uk,
vi,
zh
Example:

"de"

creation_time
string<date-time>

The creation time of the glossary in the ISO 8601-1:2019 format (e.g.: 2021-08-03T14:16:18.329Z).

entry_count
integer

The number of entries in the glossary.